# $Revision: 1.50 $, $Date: 2010/07/11 12:50:31 $
Summary:	Simple DirectMedia Layer - ttf handling
Summary(pl.UTF-8):	Biblioteka obsługi fontów TTF
Summary(pt_BR.UTF-8):	Simple DirectMedia Layer - Biblioteca de fontes TrueType
Name:		SDL_ttf
Version:	2.0.10
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_ttf/release/%{name}-%{version}.tar.gz
# Source0-md5:	814e6e17e8879254208d23b3b7e0354b
URL:		http://www.libsdl.org/projects/SDL_ttf/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.5-2
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.1.4
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a sample library which allows you to use TrueType fonts in
your SDL applications. It comes with an example program "sdlfont"
which displays an example string for a given TrueType font file.

%description -l pl.UTF-8
Przykładowa biblioteka do obsługi fontów TrueType w aplikacjach SDL.
Pakiet zawiera przykładowy program "sdlfont", wyświetlający
przykładowy ciąg znaków zadanym fontem TrueType.

%description -l pt_BR.UTF-8
Esta é uma biblioteca que permite a utilização de fontes TrueType em
suas aplicações SDL. Ela vem com o programa exemplo "showfont" que
mostra uma string exemplo para uma fonte TrueType fornecida.

%package devel
Summary:	Header files and more to develop SDL_ttf applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających SDL_ttf
Summary(pt_BR.UTF-8):	Cabeçalhos para desenvolver programas utilizando a SDL_ttf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.5-2
Requires:	freetype-devel >= 2.1.4

%description devel
Header files and more to develop SDL_ttf applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających SDL_ttf.

%description devel -l pt_BR.UTF-8
Este pacote contém os cabeçalhos que programadores vão precisar para
desenvolver aplicações utilizando a SDL_ttf.

%package static
Summary:	Static SDL_ttf libraries
Summary(pl.UTF-8):	Biblioteki statyczne SDL_ttf
Summary(pt_BR.UTF-8):	Biblioteca estática para desenvolvimento utilizando a SDL_ttf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SDL_ttf libraries.

%description static -l pl.UTF-8
Biblioteki statyczne SDL_ttf.

%description static -l pt_BR.UTF-8
Este pacote contém a biblioteca estática que programadores vão
precisar para desenvolver aplicações linkados estaticamente com a
SDL_ttf.

%prep
%setup -q

rm -f acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install .libs/showfont $RPM_BUILD_ROOT%{_bindir}/sdlfont

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/sdlfont
%attr(755,root,root) %{_libdir}/libSDL_ttf-*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL_ttf-2.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSDL_ttf.so
%{_libdir}/libSDL_ttf.la
%{_includedir}/SDL/SDL_ttf.h
%{_pkgconfigdir}/SDL_ttf.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_ttf.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDL_ttf.spec,v $
Revision 1.50  2010/07/11 12:50:31  lisu
- 2.0.10
- package .pc file and .so.1 as ghost

Revision 1.49  2010/06/02 23:56:05  baggins
- rel 3

Revision 1.48  2008/11/15 21:07:18  arekm
- release 2

Revision 1.47  2007/08/13 18:10:25  qboosh
- updated to 2.0.9
- removed obsolete ft2build_h patch

Revision 1.46  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.45  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.44  2006/05/21 21:28:20  qboosh
- updated ft2build_h patch to fix build with freetype 2.2.x
- release 2

Revision 1.43  2006/05/20 00:17:49  qboosh
- install actual showfont binary, not wrapper script

Revision 1.42  2006/05/20 00:13:23  qboosh
- updated to 2.0.8, -devel R: freetype-devel

Revision 1.41  2006/04/09 21:06:14  qboosh
- BR: OpenGL-GLU-devel (used through <SDL/opengl.h>)
- BR: autoconf >= 2.59-9 to avoid libXt BR

Revision 1.40  2006/04/06 10:29:58  megabajt
- drop X11 requirement

Revision 1.39  2005/01/15 23:59:23  qboosh
- updated to 2.0.7, updated ft2build_h patch

Revision 1.38  2004/10/31 17:07:43  paladine
- spaces->tabs
- formatting

Revision 1.37  2004/08/05 14:17:25  pluto
- strict deps.

Revision 1.36  2003/12/29 12:31:55  qboosh
- cleanups here and in ft2build_h patch; release 2

Revision 1.35  2003/12/29 11:20:42  jajcus
- freetype headers useg fix (-ft2build_h.patch)

Revision 1.34  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.33  2003/06/12 12:15:50  qboosh
- BR freetype-devel >= 2.1.4 (doesn't build with = 2.1.3)

Revision 1.32  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.31  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/03/25 14:21:03  trojan
- updated to 2.0.6

Revision 1.29  2003/02/19 23:51:20  qboosh
- new %%doc

Revision 1.28  2003/01/16 00:34:38  aflinta
- moved to /usr; release 2

Revision 1.27  2002/12/07 15:11:40  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.26  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.25  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/05/18 19:30:08  kloczek
- merge translatiobs from Conectiva.

Revision 1.22  2002/05/18 16:56:29  qboosh
- updated to 2.0.5
- fixes in descriptions
- removed PBProjects.tar.gz from doc (it's big and has no use on Linux)

Revision 1.21  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.20  2002/03/21 10:07:00  qboosh
- fixed Source0 URL

Revision 1.19  2002/03/19 18:21:42  filon
- updated to 2.0.4 (use freetype2)
- updated buldrequires
- STBR (for this pkg, python-pygame, etc..)

Revision 1.18  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/01 14:54:51  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.16  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/08/15 19:41:49  kloczek
- release 4: make spec ac 2.5x ready.

Revision 1.14  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.13  2001/04/02 20:02:22  kloczek
- changed Buildrequires for SDL-devel to ">= 1.2.0".

Revision 1.12  2001/04/02 13:44:49  misiek
release 3; rebuild with SDL 1.2.0; stb

Revision 1.11  2001/03/19 21:41:36  kloczek
- reelase 2: rebuild against freetype1.

Revision 1.10  2000/10/25 03:33:23  kloczek
- updated to 1.2.2.

Revision 1.9  2000/10/25 00:18:56  kloczek
- release 3: use new rpm automation.

Revision 1.8  2000/08/21 14:01:47  kloczek
- typo.

Revision 1.7  2000/08/21 13:58:06  kloczek
- release 2,
- rename showfont to sdlfont to avoid conflict between SDL_ttf and
  XFree86-tools.

Revision 1.6  2000/07/02 19:47:29  kloczek
- updated to 1.2.1.

Revision 1.5  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.4  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.2  2000/04/11 21:29:07  kloczek
- completly rewrited in PLD style.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
